<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per la struct personaggio</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classi</span></a></li>
      <li><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Elenco&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="classes.html"><span>Indice&#160;dei&#160;tipi&#160;composti</span></a></li>
      <li><a href="functions.html"><span>Membri&#160;dei&#160;composti</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Attributi pubblici</a> &#124;
<a href="structpersonaggio-members.html">Elenco di tutti i membri</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per la struct personaggio</div>  </div>
</div><!--header-->
<div class="contents">

<p>Struttura che descrive un qualsiasi personaggio in gioco.  
 <a href="structpersonaggio.html#details">Continua...</a></p>

<p><code>#include &lt;<a class="el" href="dati_8h_source.html">dati.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributi pubblici</h2></td></tr>
<tr class="memitem:a12ca63be57e42e81c6ecee43fb7cae2e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a12ca63be57e42e81c6ecee43fb7cae2e">hp_totali</a></td></tr>
<tr class="memdesc:a12ca63be57e42e81c6ecee43fb7cae2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Numero di vite massime di cui il personaggio può disporre.  <a href="#a12ca63be57e42e81c6ecee43fb7cae2e">Continua...</a><br /></td></tr>
<tr class="separator:a12ca63be57e42e81c6ecee43fb7cae2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3097b79f08c1d4f7742090e24b1ec931"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a3097b79f08c1d4f7742090e24b1ec931">x</a></td></tr>
<tr class="memdesc:a3097b79f08c1d4f7742090e24b1ec931"><td class="mdescLeft">&#160;</td><td class="mdescRight">Posizione del personaggio sull'asse delle ascisse.  <a href="#a3097b79f08c1d4f7742090e24b1ec931">Continua...</a><br /></td></tr>
<tr class="separator:a3097b79f08c1d4f7742090e24b1ec931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0e5610497c00323bed8807db5c801e8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#ab0e5610497c00323bed8807db5c801e8">y</a></td></tr>
<tr class="memdesc:ab0e5610497c00323bed8807db5c801e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Posizione del personaggio sull'asse delle ordinate.  <a href="#ab0e5610497c00323bed8807db5c801e8">Continua...</a><br /></td></tr>
<tr class="separator:ab0e5610497c00323bed8807db5c801e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a159b2bc7ed0dadb4d00fca244d4cbad5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a159b2bc7ed0dadb4d00fca244d4cbad5">vel_x</a></td></tr>
<tr class="memdesc:a159b2bc7ed0dadb4d00fca244d4cbad5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocità del personaggio sull'asse delle ascisse.  <a href="#a159b2bc7ed0dadb4d00fca244d4cbad5">Continua...</a><br /></td></tr>
<tr class="separator:a159b2bc7ed0dadb4d00fca244d4cbad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aced71bf6aadb1d9b5cca24b8e1c89774"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#aced71bf6aadb1d9b5cca24b8e1c89774">vel_y</a></td></tr>
<tr class="memdesc:aced71bf6aadb1d9b5cca24b8e1c89774"><td class="mdescLeft">&#160;</td><td class="mdescRight">Velocità del personaggio sull'asse delle ordinate.  <a href="#aced71bf6aadb1d9b5cca24b8e1c89774">Continua...</a><br /></td></tr>
<tr class="separator:aced71bf6aadb1d9b5cca24b8e1c89774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24fd1c15cb52caf1ed9d0d190ddbf040"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a24fd1c15cb52caf1ed9d0d190ddbf040">num_oggetti</a></td></tr>
<tr class="memdesc:a24fd1c15cb52caf1ed9d0d190ddbf040"><td class="mdescLeft">&#160;</td><td class="mdescRight">Numero di oggetti di cui il personaggio dispone.  <a href="#a24fd1c15cb52caf1ed9d0d190ddbf040">Continua...</a><br /></td></tr>
<tr class="separator:a24fd1c15cb52caf1ed9d0d190ddbf040"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a952fbed713d2ec4e30b2cb22d2608374"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a952fbed713d2ec4e30b2cb22d2608374">cade</a></td></tr>
<tr class="memdesc:a952fbed713d2ec4e30b2cb22d2608374"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica se il personaggio è in fase di caduta.  <a href="#a952fbed713d2ec4e30b2cb22d2608374">Continua...</a><br /></td></tr>
<tr class="separator:a952fbed713d2ec4e30b2cb22d2608374"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9433a0a393b90739abb7c95f39c80771"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a9433a0a393b90739abb7c95f39c80771">in_salto</a></td></tr>
<tr class="memdesc:a9433a0a393b90739abb7c95f39c80771"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica se il personaggio è in fase di salto.  <a href="#a9433a0a393b90739abb7c95f39c80771">Continua...</a><br /></td></tr>
<tr class="separator:a9433a0a393b90739abb7c95f39c80771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a3cbc9189be5d105338b465ec49bd35"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a6a3cbc9189be5d105338b465ec49bd35">in_movim_dx</a></td></tr>
<tr class="memdesc:a6a3cbc9189be5d105338b465ec49bd35"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica se il personaggio è in movimento verso destra.  <a href="#a6a3cbc9189be5d105338b465ec49bd35">Continua...</a><br /></td></tr>
<tr class="separator:a6a3cbc9189be5d105338b465ec49bd35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2ba822203d1260ea25a9f424056bd13"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#ae2ba822203d1260ea25a9f424056bd13">hp</a></td></tr>
<tr class="memdesc:ae2ba822203d1260ea25a9f424056bd13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Numero di vite di cui il personaggio dispone in un determinato tempo.  <a href="#ae2ba822203d1260ea25a9f424056bd13">Continua...</a><br /></td></tr>
<tr class="separator:ae2ba822203d1260ea25a9f424056bd13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa64b25451d1998872aed5403b6298f94"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#aa64b25451d1998872aed5403b6298f94">in_movim_sx</a></td></tr>
<tr class="memdesc:aa64b25451d1998872aed5403b6298f94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica se il personaggio è in movimento verso sinistra.  <a href="#aa64b25451d1998872aed5403b6298f94">Continua...</a><br /></td></tr>
<tr class="separator:aa64b25451d1998872aed5403b6298f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52fbcf8eca899dd3399be2e19e7c4c0b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a52fbcf8eca899dd3399be2e19e7c4c0b">in_attacco</a></td></tr>
<tr class="memdesc:a52fbcf8eca899dd3399be2e19e7c4c0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag che indica se il personaggio sta svolgendo un attacco ravvicinato.  <a href="#a52fbcf8eca899dd3399be2e19e7c4c0b">Continua...</a><br /></td></tr>
<tr class="separator:a52fbcf8eca899dd3399be2e19e7c4c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b6dc2121c5bf513b38e0820a91a605f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a7b6dc2121c5bf513b38e0820a91a605f">rim</a></td></tr>
<tr class="memdesc:a7b6dc2121c5bf513b38e0820a91a605f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag utile alla rimozione dell'oggetto.  <a href="#a7b6dc2121c5bf513b38e0820a91a605f">Continua...</a><br /></td></tr>
<tr class="separator:a7b6dc2121c5bf513b38e0820a91a605f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6487d20648bf32c6f9a1a383c5e72510"><td class="memItemLeft" align="right" valign="top">ALLEGRO_BITMAP *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a6487d20648bf32c6f9a1a383c5e72510">dir_img</a></td></tr>
<tr class="memdesc:a6487d20648bf32c6f9a1a383c5e72510"><td class="mdescLeft">&#160;</td><td class="mdescRight">Immagine (freccia) che descrive la direzione di movimento del personaggio.  <a href="#a6487d20648bf32c6f9a1a383c5e72510">Continua...</a><br /></td></tr>
<tr class="separator:a6487d20648bf32c6f9a1a383c5e72510"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5b1610f42cebb84c40f37a683a3299"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structoggetto.html">oggetto</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a5f5b1610f42cebb84c40f37a683a3299">arma</a></td></tr>
<tr class="memdesc:a5f5b1610f42cebb84c40f37a683a3299"><td class="mdescLeft">&#160;</td><td class="mdescRight">Arma a distanza ravvicinata del personaggio.  <a href="#a5f5b1610f42cebb84c40f37a683a3299">Continua...</a><br /></td></tr>
<tr class="separator:a5f5b1610f42cebb84c40f37a683a3299"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6c8bcef11e0095406b3bdc5ff6c583"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7">tipo_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#ada6c8bcef11e0095406b3bdc5ff6c583">tipo</a></td></tr>
<tr class="memdesc:ada6c8bcef11e0095406b3bdc5ff6c583"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeratore che indica il tipo di personaggio (Princpale-Spadaccino-Lanciere-Inseguitore)  <a href="#ada6c8bcef11e0095406b3bdc5ff6c583">Continua...</a><br /></td></tr>
<tr class="separator:ada6c8bcef11e0095406b3bdc5ff6c583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd13cf6114e4fb2d7d1d083c1b034eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2">direzione_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#a1fd13cf6114e4fb2d7d1d083c1b034eb">direzione</a></td></tr>
<tr class="memdesc:a1fd13cf6114e4fb2d7d1d083c1b034eb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direzione in cui il personaggio è voltato.  <a href="#a1fd13cf6114e4fb2d7d1d083c1b034eb">Continua...</a><br /></td></tr>
<tr class="separator:a1fd13cf6114e4fb2d7d1d083c1b034eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdfa7cd274f0f098d123ce830688fc7a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structinformazioni__disegno.html">informazioni_disegno</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structpersonaggio.html#abdfa7cd274f0f098d123ce830688fc7a">sprite</a></td></tr>
<tr class="memdesc:abdfa7cd274f0f098d123ce830688fc7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Informazioni di disegno del personaggio.  <a href="#abdfa7cd274f0f098d123ce830688fc7a">Continua...</a><br /></td></tr>
<tr class="separator:abdfa7cd274f0f098d123ce830688fc7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Descrizione dettagliata</h2>
<div class="textblock"><p>Struttura che descrive un qualsiasi personaggio in gioco. </p>
</div><h2 class="groupheader">Documentazione dei membri dato</h2>
<a class="anchor" id="a5f5b1610f42cebb84c40f37a683a3299"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structoggetto.html">oggetto</a> personaggio::arma</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Arma a distanza ravvicinata del personaggio. </p>

</div>
</div>
<a class="anchor" id="a952fbed713d2ec4e30b2cb22d2608374"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::cade</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica se il personaggio è in fase di caduta. </p>

</div>
</div>
<a class="anchor" id="a6487d20648bf32c6f9a1a383c5e72510"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ALLEGRO_BITMAP* personaggio::dir_img</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Immagine (freccia) che descrive la direzione di movimento del personaggio. </p>

</div>
</div>
<a class="anchor" id="a1fd13cf6114e4fb2d7d1d083c1b034eb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2">direzione_t</a> personaggio::direzione</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Direzione in cui il personaggio è voltato. </p>

</div>
</div>
<a class="anchor" id="ae2ba822203d1260ea25a9f424056bd13"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::hp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Numero di vite di cui il personaggio dispone in un determinato tempo. </p>

</div>
</div>
<a class="anchor" id="a12ca63be57e42e81c6ecee43fb7cae2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::hp_totali</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Numero di vite massime di cui il personaggio può disporre. </p>

</div>
</div>
<a class="anchor" id="a52fbcf8eca899dd3399be2e19e7c4c0b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::in_attacco</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica se il personaggio sta svolgendo un attacco ravvicinato. </p>

</div>
</div>
<a class="anchor" id="a6a3cbc9189be5d105338b465ec49bd35"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::in_movim_dx</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica se il personaggio è in movimento verso destra. </p>

</div>
</div>
<a class="anchor" id="aa64b25451d1998872aed5403b6298f94"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::in_movim_sx</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica se il personaggio è in movimento verso sinistra. </p>

</div>
</div>
<a class="anchor" id="a9433a0a393b90739abb7c95f39c80771"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::in_salto</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag che indica se il personaggio è in fase di salto. </p>

</div>
</div>
<a class="anchor" id="a24fd1c15cb52caf1ed9d0d190ddbf040"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::num_oggetti</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Numero di oggetti di cui il personaggio dispone. </p>

</div>
</div>
<a class="anchor" id="a7b6dc2121c5bf513b38e0820a91a605f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool personaggio::rim</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag utile alla rimozione dell'oggetto. </p>

</div>
</div>
<a class="anchor" id="abdfa7cd274f0f098d123ce830688fc7a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structinformazioni__disegno.html">informazioni_disegno</a> personaggio::sprite</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Informazioni di disegno del personaggio. </p>

</div>
</div>
<a class="anchor" id="ada6c8bcef11e0095406b3bdc5ff6c583"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="dati_8h.html#a9bb20167eb424d00ab6fae7c495cd2e7">tipo_t</a> personaggio::tipo</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeratore che indica il tipo di personaggio (Princpale-Spadaccino-Lanciere-Inseguitore) </p>

</div>
</div>
<a class="anchor" id="a159b2bc7ed0dadb4d00fca244d4cbad5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::vel_x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Velocità del personaggio sull'asse delle ascisse. </p>

</div>
</div>
<a class="anchor" id="aced71bf6aadb1d9b5cca24b8e1c89774"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::vel_y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Velocità del personaggio sull'asse delle ordinate. </p>

</div>
</div>
<a class="anchor" id="a3097b79f08c1d4f7742090e24b1ec931"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Posizione del personaggio sull'asse delle ascisse. </p>

</div>
</div>
<a class="anchor" id="ab0e5610497c00323bed8807db5c801e8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int personaggio::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Posizione del personaggio sull'asse delle ordinate. </p>

</div>
</div>
<hr/>La documentazione per questa struct è stata generata a partire dal seguente file:<ul>
<li><a class="el" href="dati_8h_source.html">dati.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
